## endesive 2.17.0+dfsg

=== requirements.txt ===
cryptography
asn1crypto
oscrypto
certvalidator
lxml
pykcs11
Pillow
pytz
requests
paramiko
attrs

## endesive 2.0.16

=== debian/changelog ===
endesive (2.0.16-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:03:23 +0200

endesive (2.0.16-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Apr 2023 16:58:08 +0200

=== debian/control ===
Source: endesive
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/m32/endesive

Package: python3-endesive
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-certvalidator
Description: library for digital signing and verification of signatures in docs
 This package contains a Python library for digital signing and verification of
 digital signatures in mail, PDF and XML documents.
 .
 The ASN.1 implementation depends on asn1crypto. Cryptographic routines depends
 on cryptography library.
 .
 For certificate verification CertValidator is used.
 .
 This library implements S/MIME handler which can encrypt and decrypt S/MIME
 messages using a public RSA key, in AES-128/192/256 CBC/OFB modes. It can also
 sign and verify S/MIME messages.
 .
 This library implements CAdES-B handler for signing and verifying PDF
 documents in Adobe.PPKLite/adbe.pkcs7.detached form. It can sign documents
 during generation using a modified version of pyfpdf which is included in this
 library. It can also sign documents generated by external programs.
 .
 This library implements XADES BES/T with enveloped and enveloping format for
 creating signed xml files.
 .
 This library implements CMS handler for signing and verifying plain text files
 with detached signature files.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=endesive

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/m32/endesive/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## endesive 2.16.1+dfsg

=== debian/changelog ===
endesive (2.16.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.16.1+dfsg
  * debian/rules: removed 'font-in-non-font-package'
  * debian/patches/004.tests-skipped-with-errors.patch: adjusted for execution

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 29 Dec 2023 21:30:11 -0300

endesive (2.16+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1055224)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 02 Nov 2023 08:33:38 -0300

## endesive 2.17.0%2Bdfsg

=== debian/changelog ===
endesive (2.17.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.17.0+dfsg

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 30 Jan 2024 21:01:38 -0300

=== debian/control ===
Source: endesive
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               fonts-dejavu,
               python3-all,
               python3-asn1crypto,
               python3-attr,
               python3-certvalidator,
               python3-cryptography,
               python3-lxml,
               python3-oscrypto,
               python3-paramiko,
               python3-pil,
               python3-pykcs11,
               python3-pytest,
               python3-requests,
               python3-setuptools,
               python3-tz,
               softhsm2
Standards-Version: 4.6.2
Homepage: https://github.com/m32/endesive
Vcs-Browser: https://salsa.debian.org/pkg-security-team/endesive
Vcs-Git: https://salsa.debian.org/pkg-security-team/endesive.git

Package: python3-endesive
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: library for digital signing and verification of signatures in docs
 Endesive is a Python module that has the ability to add and check
 digital signatures on PDF documents, emails and XMLs. This is useful for
 guarantee the protection and integrity of documents, making it difficult
 tamper with your content.
 .
 Supports PDF digital signature standards defined in standards such as PAdES
 and CAdES. These standards are widely recognized for digital signatures on
 PDF documents.
 .
 This library implements CAdES-B handler for signing and verifying PDF
 documents in Adobe.PPKLite/adbe.pkcs7.detached form. It can sign documents
 during generation using a modified version of pyfpdf which is included in this
 library. It can also sign documents generated by external programs.
 .
 For ASN.1 implementation, pocote depends on the asn1crypto and cryptography
 libraries. Just like for certificate verification, the package recommends
 "CertValidator" as a dependency.
 .
 Also implements S/MIME handler which can encrypt and decrypt S/MIME
 messages using a public RSA key, in AES-128/192/256 CBC/OFB modes. It can also
 sign and verify S/MIME messages.
 .
 Still, the package is capable of implementing XADES BES/T with an enveloped and
 enveloping format, creating signed XML files.
 .
 In addition to all the implementations, the package is also capable of
 implementing CMS, enabling the signing and verification of simple text
 files with separate signature files.
 .
 This package installs the library for Python 3.

## endesive 2.17.2+dfsg

=== debian/changelog ===
endesive (2.17.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.17.2+dfsg

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Apr 2024 23:50:02 -0300

endesive (2.17.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.17.1+dfsg
  * debian/patches/004.tests-skipped-with-errors.patch: updated
  * debian/patches/003.fixed-escape-character.patch: fixed with the new version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 02 Mar 2024 08:02:18 -0300

## endesive 2.17.3+dfsg

=== debian/changelog ===
endesive (2.17.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.17.3+dfsg
  * debian/control: Bumped Standards-Version to 4.7.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 22 Sep 2024 08:27:11 -0300

## endesive 2.18.0+dfsg

=== debian/changelog ===
endesive (2.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.18.0+dfsg

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 01 Feb 2025 09:50:57 -0300

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3-setuptools,
                python3-tz,
                softhsm2
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/m32/endesive
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/endesive
 Vcs-Git: https://salsa.debian.org/pkg-security-team/endesive.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m pytest  -v -p no:warnings

export PYBUILD_NAME=endesive

%:
	dh $@ --buildsystem=pybuild
override_dh_link:
	dh_link
	find  debian/python3-endesive/ -name '*.ttf' -delete

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -k 'not test_hsm.py' -p no:warnings
Depends: fonts-dejavu,
         python3-all,
         python3-asn1crypto,
         python3-certvalidator,
         python3-lxml,
         python3-oscrypto,
         python3-paramiko,
         python3-pil,
         python3-pykcs11,
         python3-pytest,
         python3-requests,
         python3-tz,
         @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/m32/endesive/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## endesive 2.19.1

=== Makefile ===
test:
	rm -rf tests/fixtures/softhsm2 tests/fixtures/softhsm2.conf tests/fixtures/cert-* tests/fixtures/demo2_*
	vpython3 -m coverage run --omit "endesive/pdf/PyPDF2/*","endesive/pdf/PyPDF2_annotate/*","endesive/pdf/fpdf/*","endesive/pdf/pdf.py","/usr/lib/*" -m unittest discover tests
	vpy3-coverage3 report -m

mypy:
	mypy endesive --ignore-missing-imports --check-untyped --strict

=== debian/changelog ===
endesive (2.19.1-2) unstable; urgency=medium

  * Team upload.
  * Add runtime dependency on python3-attr

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 16:38:15 +0100

endesive (2.19.1-1) unstable; urgency=medium

  * Team Upload
  * Replace dependency on transitional python3-tz with new python3-pytz
  * New upstream version 2.19.1
  * Refresh patches
  * Trim d/rules with new syntax

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 16:22:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,35 +2,39 @@
 Section: python
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               fonts-dejavu,
-               python3-all,
-               python3-asn1crypto,
-               python3-attr,
-               python3-certvalidator,
-               python3-cryptography,
-               python3-lxml,
-               python3-oscrypto,
-               python3-paramiko,
-               python3-pil,
-               python3-pykcs11,
-               python3-pytest,
-               python3-requests,
-               python3-setuptools,
-               python3-tz,
-               softhsm2
-Standards-Version: 4.7.0
+Uploaders:
+ Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ fonts-dejavu,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-asn1crypto,
+ python3-attr,
+ python3-certvalidator,
+ python3-cryptography,
+ python3-lxml,
+ python3-oscrypto,
+ python3-paramiko,
+ python3-pil,
+ python3-pykcs11,
+ python3-pytest,
+ python3-pytz,
+ python3-requests,
+ python3-setuptools,
+ softhsm2,
+Standards-Version: 4.7.2
 Homepage: https://github.com/m32/endesive
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/endesive
 Vcs-Git: https://salsa.debian.org/pkg-security-team/endesive.git
 
 Package: python3-endesive
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ python3-attr,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: library for digital signing and verification of signatures in docs
  Endesive is a Python module that has the ability to add and check
  digital signatures on PDF documents, emails and XMLs. This is useful for

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,6 @@
 
 %:
 	dh $@ --buildsystem=pybuild
-override_dh_link:
-	dh_link
+
+execute_after_dh_link:
 	find  debian/python3-endesive/ -name '*.ttf' -delete

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -k 'not test_hsm.py' -p no:warnings
Depends:
 fonts-dejavu,
 python3-all,
 python3-asn1crypto,
 python3-certvalidator,
 python3-lxml,
 python3-oscrypto,
 python3-paramiko,
 python3-pil,
 python3-pykcs11,
 python3-pytest,
 python3-pytz,
 python3-requests,
 @,
Restrictions:
 allow-stderr,

## endesive 2.19.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
 Package: python3-endesive
 Architecture: all
 Depends:
+ fonts-dejavu,
  python3-attr,
  ${misc:Depends},
  ${python3:Depends},

## endesive 2.19.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,3 +5,8 @@
 
 mypy:
 	mypy endesive --ignore-missing-imports --check-untyped --strict
+
+docs:
+	sphinx-apidoc -o docs ./endesive
+
+.PHONY: test mypy docs

=== debian/changelog ===
endesive (2.19.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/copyright:
    - Add .../Helvetica.ttf to Files-Excluded. (Closes: #1124375)
    - Drop examples/java/* from Files-Excluded for having been dropped
      upstream.
  * d/watch: Update to version 5 format.
  * New upstream version 2.19.2+dfsg
  * d/rules: Drop deletion of ttf files, they are now excluded from source.
  * d/p/*: Add patch to replace use of Helvetica.ttf with DejavuSans.ttf.
  * d/control: Add fonts-dejavu to Depends.
  * d/t/control: Remove fonts-dejavu from Depends.
  * d/copyright:
    - Update packaging copyright holders and years.
    - Add missing upstream copyright years + enhance readability.
    - Remove superfluous file-pattern and license.

 -- Sven Geuer <sge@debian.org>  Mon, 12 Jan 2026 23:47:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,3 @@
 
 %:
 	dh $@ --buildsystem=pybuild
-
-execute_after_dh_link:
-	find  debian/python3-endesive/ -name '*.ttf' -delete

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Test-Command: python3 -m pytest -v -k 'not test_hsm.py' -p no:warnings
 Depends:
- fonts-dejavu,
  python3-all,
  python3-asn1crypto,
  python3-certvalidator,

=== debian/watch ===
Version: 5
Template: Github
Owner: m32
Project: endesive
Dversion-Mangle: auto
Repack-Suffix: +dfsg
